Bug 978963 - Gzipped manual page is mis-detected as a Minix file system
Gzipped manual page is mis-detected as a Minix file system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 07:52 EDT by Petr Pisar
Modified: 2014-07-05 10:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: file-5.19-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-05 10:52:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DateTime::Locale::zh_SG.3pm.gz (3.49 KB, application/octet-stream)
2013-06-27 07:52 EDT, Petr Pisar
no flags Details

  None (edit)
Description Petr Pisar 2013-06-27 07:52:35 EDT
Created attachment 766077 [details]
DateTime::Locale::zh_SG.3pm.gz

petr@dhcp-0-146:/tmp/DateTime/i686.new/usr/share/man/man3 $ gzip -tv  DateTime\:\:Locale\:\:zh_SG.3pm.gz 
DateTime::Locale::zh_SG.3pm.gz:  OK
petr@dhcp-0-146:/tmp/DateTime/i686.new/usr/share/man/man3 $ file  DateTime\:\:Locale\:\:zh_SG.3pm.gz 
DateTime::Locale::zh_SG.3pm.gz: Minix filesystem, V3, 12627 zones
petr@dhcp-0-146:/tmp/DateTime/i686.new/usr/share/man/man3 $ rpm -q file
file-5.11-4.fc18.x86_64

The file is attached.
Comment 2 Jan Kaluža 2013-06-27 08:40:59 EDT
I think this can be fixed by my patch at <http://bugs.gw.com/view.php?id=232>. I will backport it to F19 at least.
Comment 3 Fedora End Of Life 2013-12-21 10:34:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Petr Šabata 2014-01-02 07:24:54 EST
Still broken in f20 (file-5.14-12.fc20.x86_64).
Comment 5 Jan Kaluža 2014-06-27 08:02:05 EDT
This is fixed in file-5.19 in rawhide.
Comment 6 Fedora Update System 2014-07-01 09:44:55 EDT
file-5.19-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/file-5.19-1.fc20
Comment 7 Fedora Update System 2014-07-01 19:32:34 EDT
Package file-5.19-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing file-5.19-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7992/file-5.19-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-07-05 10:52:58 EDT
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.